/*  max width style  */

@media only screen and (max-width: 1440px) {}

@media only screen and (max-width: 1250px) {
    .header__main-inner {
        max-width: 95%;
    }
    .header__sub-inner {
        max-width: 95%;
    }
    .main__inner-sidebar {
        display: none;
    }
    .main__inner {
        display: block;
    }
    .main__inner-body--kit,
    .main__inner-body--popular,
    .main__inner-body--poppers,
    .main__inner-body--gift,
    .main__inner-body--news,
    .main__inner-body--follow,
    .main__inner-body--nav,
    .main__inner-body--comments,
    .main__inner-body--cart,
    .main__inner-body--form,
    .main__inner-body--liked,
    .main__inner-body--discount,
    .main__inner-body--blogs,
    .footer__inner,
    .main__inner-blog--adder,
    .main__inner-blog--pagination,
    .main__inner-blog--info,
    .main__inner-body--compare {
        max-width: 95%;
    }
}

@media only screen and (max-width: 1024px) {
    .header__upper-part--image {
        background-size: 110% 100%;
    }
    .header__main-contacts--number {
        display: none !important;
    }
    .header__sub-inner {
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
        padding: 16px 0;
    }
    .header__sub-search {
        -webkit-box-ordinal-group: 7;
            -ms-flex-order: 6;
                order: 6;
    }
    .header__sub-search--input {
        width: 437px;
    }
    .header__sub-items {
        width: 300px;
    }
    .main__inner-kit--item {
        width: 180px;
        height: 180px;
    }
    .main__inner-kit--item img {
        width: 100px;
        height: 100px;
    }
    .main__inner-cards--items {
        -ms-grid-columns: 164px 164px 164px 164px;
        grid-template-columns: 164px 164px 164px 164px;
        -ms-flex-pack: distribute;
            justify-content: space-around;
    }
    .footer__inner-body {
        -ms-grid-columns: 1fr 10px 160px 10px 160px 10px 1fr;
        grid-template-columns: 1fr 160px 160px 1fr;
        grid-gap: 10px;
    }
    .main__inner-products--grid {
        -ms-grid-columns: 258.5px 45px 258.5px;
        grid-template-columns: 258.5px 258.5px;
        -webkit-box-pack: unset;
            -ms-flex-pack: unset;
                justify-content: unset;
        grid-gap: 45px;
    }
    .main__inner-cards--liked {
        -ms-grid-columns: 164px 164px 164px 164px;
        grid-template-columns: 164px 164px 164px 164px;
        -ms-flex-pack: distribute;
            justify-content: space-around;
    }
}

@media only screen and (max-width: 768px) {
    .modal {
        padding-right: 0;
    }
    .header__upper-part--image {
        background: url('../img/header-banner_laptop.png') no-repeat;
        background-position: center;
        background-size: 1 100%;
    }
    .header__main {
        display: none;
    }
    .header__sub-catalog {
        -webkit-box-ordinal-group: 0;
            -ms-flex-order: -1;
                order: -1;
    }
    .header__sub-catalog,
    .header__sub-catalog--inner {
        width: 40px;
        flex-basis: unset;
        -webkit-box-pack: center;
            -ms-flex-pack: center;
                justify-content: center;
    }
    .header__sub-catalog--inner p {
        display: none;
    }
    .main__inner-kit--item {
        width: 246px;
        height: 234px;
    }
    .main__inner-kit--item:not(:last-child) {
        margin-right: 16px;
    }
    .main__inner-kit--item img {
        width: 120px;
        height: 120px;
    }
    .main__inner-kit--items {
        display: -webkit-box;
        overflow-y: scroll;
    }
    .main__follow-content {
        -ms-grid-columns: 80px 16px 1fr;
        grid-template-columns: 80px 1fr;
        grid-gap: 16px;
    }
    .main__follow-content--input {
        -ms-grid-column: 1;
        -ms-grid-column-span: 3;
        grid-column: 1 / 4;
        margin: 0 auto; 
    }
    .footer__inner-body {
        -ms-grid-columns: 1fr 1fr 1fr;
        grid-template-columns: 1fr 1fr 1fr;
        grid-row-gap: 16px;
    }
    .footer__contacts-data {
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
            -ms-flex-direction: row;
                flex-direction: row;
        -ms-grid-column: 1;
        -ms-grid-column-span: 3;
        grid-column: 1 / 4;
        -webkit-box-pack: justify;
            -ms-flex-pack: justify;
                justify-content: space-between;
    }
    .footer__contacts-item {
        margin-bottom: 0 !important;
    }
    .footer__contacts-item:not(:first-child) {
        padding-left: 9px;
    }
    .contact-popup {
        display: block;
        min-height: 100vh;
        width: 0;
        padding: 0;
        -webkit-transition: .5s;
        -o-transition: .5s;
        transition: .5s;
    }
    .contact-popup__inner {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        -webkit-transform: initial;
            -ms-transform: initial;
                transform: initial;
    }
    .contact-back__button {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        margin-bottom: 8px;
        width: 90px;
        cursor: pointer;
    }
    .contact-back__image  {
        width: 16.5px;
        height: 15.5px;
        margin-right: 8px;
    }
    .contact-popup__closer {
        display: none;
    }
    .contact-popup__box {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
            -ms-flex-pack: justify;
                justify-content: space-between;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
    }
    .main__inner-products--grid {
        -ms-grid-columns: 258.5px;
        grid-template-columns: 258.5px;
        margin-bottom: 16px;
        -webkit-box-pack: center;
            -ms-flex-pack: center;
                justify-content: center;
    }
    .main__inner-products--grid > .main__inner-cards--item {
        display: none;
    }
    .cards-items__mobile--only {
        display: block;
    }
    .comment__content-input {
        -ms-grid-columns: 1fr 100px 170px;
        grid-template-columns: 1fr 100px 170px;
        grid-row-gap: 16px;
    }
    .comment__content-input input {
        -ms-grid-column: 1;
        -ms-grid-column-span: 3;
        grid-column: 1/4;
    }
    .comment__content-input span {
        -ms-grid-column: 1;
        -ms-grid-column-span: 2;
        grid-column: 1/3;
    }
    .cart__item-count--wrapper {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }
    .cart__item-count--item:nth-child(3) {
        -webkit-box-pack: unset;
            -ms-flex-pack: unset;
                justify-content: unset;
    }
    .cart__item-image {
        width: 100px;
    }
    .main__inner-cards--liked {
        -ms-grid-columns: 1fr 1fr;
        grid-template-columns: 1fr 1fr;
        -webkit-box-pack: unset;
            -ms-flex-pack: unset;
                justify-content: unset;
    }
}
@media only screen and (max-width: 600px) {
    .header__libra,
    .header__like,
    .header__auth {
        display: none;
    }
    .header__sub-items {
        width: 50px;
    }
    .header__sub-search {
        width: 100%;
    }
    .header__sub-search--input {
        width: calc(100% - 90px);
    }
    .main__inner-kit--item {
        width: 195px;
        height: 195px;
    }
    .main__inner-kit--item img {
        width: 100px;
        height: 100px;
    }
    .main__inner-cards--item {
        padding: 16px 8px;
    }
    .main__gift-content {
        -ms-grid-columns: 80px 1fr;
        grid-template-columns: 80px 1fr;
    }
    .main__gift-content--button {
        -ms-grid-column: 1;
        -ms-grid-column-span: 3;
        grid-column: 1 / 4;
        width: 296px;
        margin: 0 auto;
    }
    .footer__inner-body {
        -ms-grid-columns: 1fr 10px 1fr;
        grid-template-columns: 1fr 1fr;
    }
    .footer__contacts-data {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
        -ms-grid-column: 1;
        -ms-grid-column-span: 3;
        grid-column: 1 / 4;
        -webkit-box-pack: unset;
            -ms-flex-pack: unset;
                justify-content: unset;
    }
    .footer__contacts-item:not(:last-child) {
        margin-bottom: 16px !important;
    }
    .footer__contacts-item:not(:first-child) {
        padding-left: 44px !important;
    }
    .footer__logo-wrapper {
        grid-column: 1 / -1;
    }
    .footer__contacts-data {
        grid-column: 1 / -1;
    }
    .footer__information-content,
    .footer__customers-content {
        width: 140px;
    }
    .main__cards-product {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
    }
    .main__cards-product--image {
        margin-bottom: 16px;
    }
    .main-cart__inner {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
        grid-gap: 16px 0;
    }
    .main-cart__inner--promo {
        margin-right: 0;
    }
    .main-cart__inner--promo {
        -ms-grid-column: 1;
        -ms-grid-column-span: 3;
        grid-column: 1/4;
    }
    .form-group--row {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
    }
    .form-group--radio:first-child {
        margin-bottom: 16px;
    }
    .main__cards--comparing {
        -ms-grid-columns: 164px 164px 164px 164px 164px 164px 164px 164px;
        grid-template-columns: 164px 164px 164px 164px 164px 164px 164px 164px;
        width: 70%;
    }
    .main__comparer-table {
        margin-top: 215px;
    }
    .main__comparer-table--item p span {
        display: none;
    }
    .main__inner-comparer {
        width: 30%;
    }
    .main__inner-body--blogs {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }
}
@media only screen and (max-width: 460px) {
    .main__inner-body--nav ul {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        width: unset;
        -webkit-box-pack: unset;
            -ms-flex-pack: unset;
                justify-content: unset;
        line-height: 24px;
    }
    .main__inner-body--nav ul li:not(:last-child) {
        margin-right: 16px;
    }
    .form__inner-overall {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
    }
    .form-overall--price {
        margin-bottom: 16px;
    }
    .form-overall--price span {
        float: right;
    }
    .main__inner-cards--liked {
        -webkit-box-pack: center;
            -ms-flex-pack: center;
                justify-content: center;
    }
}
@media only screen and (max-width: 425px) {
    .main__inner-kit--items {
        width: 100% !important;
        margin: 0 auto;
    }
    .main__inner-kit--item {
        width: 200px !important;
        height: 182px !important;
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
        -webkit-box-pack: center !important;
            -ms-flex-pack: center !important;
                justify-content: center !important;
        -webkit-box-align: center !important;
            -ms-flex-align: center !important;
                align-items: center !important;
        margin:  0 16px 0 0 !important;
        padding: 16px;
    }
    .main__inner-kit--item img {
        width: 80px;
        height: 80px;
    }
    .main__inner-kit--item > h3 {
        margin-bottom: 29px !important;
    }
    .main__inner-body--poppers .main__inner-cards--title {
        margin-bottom: 24px;
    }
    .main__follow-content--input {
        width: 296px;
    }
    .main__inner-cards--title p br {
        display: block;
    }
    .main__cards-product {
        -webkit-box-align: center;
            -ms-flex-align: center;
                align-items: center;
    }
    .main__cards-product--title {
        font-size: 34px;
    }
    .main__cards-table--wrapper table button {
        width: 40px;
    }
    .main__cards-table--wrapper table button p {
        display: none;
    }
    .main__cards-table--wrapper table button svg {
        margin-right: 0;
    }
    .main__cards-table--wrapper table tr td:nth-child(3) {
        text-align: center;
    }
    .main__inner-blog--pagination ul {
        width: 250px;
        padding: 0 20px;
    }
    .main__cards-kits--button {
        width: 100%;
    }
}

@media only screen and (max-width: 375px) {
    .footer__information-content {
        -ms-grid-column-align: unset;
            justify-self: unset;
    }
    .footer__contacts-data {
        margin: 0;
    }
    .like-popup__inner, 
    .libra-popup__inner,
    .basket-popup__inner,
    .commit-popup__inner {
        width: 300px;
    }
    .main__inner-body--discount {
        -ms-grid-columns: 1fr;
        grid-template-columns: 1fr;
    }
    .main__inner-discount--image {
        margin: 0 auto 16px;
    }
}

@media only screen and (max-width: 360px) {
    .header__upper-part--image {
        background: url('../img/header-banner_mob.png') no-repeat;
        background-position: center;
        background-size: 1 100%;
    }
    .main__gift-content {
        -ms-grid-rows: 60px 1fr;
        grid-template-rows: 60px 1fr;
        grid-column-gap: 0;
    }
    .main__gift-content--image {
        width: 60px;
    }
    .main__gift-content--button {
        width: 270px;
    }
    .main__follow-content--input {
        justify-content: center;
    }
    .main__follow-content--input input {
        width: calc(100% - 140px);
    }
    .main__follow-content--input button {
        width: 100px;
    }
    .comment__content-title > * {
        margin-left: 12px;
    }
    .main__inner-body--cart h1 {
        font-size: 34px;
    }
    .main__inner-cards--liked {
        -ms-grid-columns: 144px 144px;
        grid-template-columns: 144px 144px;
    }
    .input-select--wrapper i {
        right: 8px;
    }
    .main__inner-blog--pagination ul {
        width: 290px;
        padding: 0 30px;
    }
}
@media only screen and (max-width: 320px) {}


/* min width style */

@media only screen and (min-width: 1440px) {}

@media only screen and (min-width: 1024px) {
    

    
}

@media only screen and (min-width: 768px) {
}

@media only screen and (min-width: 425px) {
    
}

@media only screen and (min-width: 375px) {}

@media only screen and (min-width: 320px) {}


/* combinated width */

@media only screen and (min-width: 1440px) and (max-width:1900px) {}

@media only screen and (min-width: 1024px) and (max-width:1440px) {}

@media only screen and (min-width: 768px) and (max-width:1024px) {}

@media only screen and  (min-width: 600px) and (max-width: 768px) {
    .main__cards-table--wrapper table button {
        width: 40px;
    }
    .main__cards-table--wrapper table button p {
        display: none;
    }
    .main__cards-table--wrapper table button svg {
        margin-right: 0;
    }    
}

@media only screen and (min-width: 425px) and (max-width:600px) {}

@media only screen and (min-width: 375px) and (max-width:425px) {}

@media only screen and (min-width: 320px) and (max-width:375px) {}

/* custon height */

@media only screen and (max-width: 768px) and (min-height: 640px) {
    .mobile-menu__inner {
        display: block;
    }
    .mobile-menu__inner > div:not(.mobile-menu__contact) {
        margin-bottom: 20px;
    }
    .mobile-menu__contact--button {
        margin-top: 28px;
    }
    .contact-popup__box {
        display: block;
    }
    .contact-popup__box > div:not(:last-child) {
        margin-bottom: 22px;
    }
}